<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class Material extends Datamodul
{
  
  public $nr;

  
  public $typ;

  
  public $text;

  
  public $info;

  
  public $ausgabe;

  
  public $rueckgabe;

  
  public $faellig;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'ausgabe':
      case 'rueckgabe':
      case 'faellig':
        return \DatamodulVarType::TYPE_DATE;
    }
  }
}